Bug 1541640 - synergy.desktop file useless
Summary: synergy.desktop file useless
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: synergy
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Ding-Yi Chen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-03 16:22 UTC by Ulrich Drepper
Modified: 2018-02-27 20:39 UTC (History)
4 users (show)

Fixed In Version: synergy-2.0.0-2.fc27 synergy-2.0.0-2.fc26 synergy-2.0.0-2.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-16 17:47:58 UTC
Type: Bug


Attachments (Terms of Use)

Description Ulrich Drepper 2018-02-03 16:22:09 UTC
Description of problem:
With the update to synergy 2 the entire program structure changed.  Because there is no GUI anymore the program needs to be told at the command line which mode to use.  There synergy.desktop file contain the command:

  Exec=synergy-core

but this doesn't do this: starting the program this way leads to

  error: use --client or --server args

My guess is that the paid-for version is more convenient to use but for the time being the version included in Fedora isn't.

One way around this I can see is that if ~/.synergy.conf exists start the server, otherwise get the parameters for the client somewhere (another file, envvar, …) and start the client.

The situation is really ugly.


Version-Release number of selected component (if applicable):
synergy-2.0.0-1.fc27.x86_64

How reproducible:
always

Steps to Reproduce:
1. make sure you have a client or server configuration
2. add synergy to the auto-started programs
3. log in

Actual results:
nothing

Expected results:
bring up as client or server

Additional info:

Comment 1 Jonathan Wakely 2018-02-06 00:07:57 UTC
This wouldn't be an issue if somebody hadn't pushed a new, incompatible version to F26 and F27 just to fix a minor packaging bug (Bug 1476515).

Comment 2 Ding-Yi Chen 2018-02-07 04:54:55 UTC
Anyone want to review my pull request?

https://src.fedoraproject.org/rpms/synergy/pull-request/1

Comment 3 Fedora Update System 2018-02-08 01:44:39 UTC
synergy-2.0.0-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-0029a198c7

Comment 4 Fedora Update System 2018-02-08 01:44:52 UTC
synergy-2.0.0-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2438eccd2e

Comment 5 Fedora Update System 2018-02-08 01:45:03 UTC
synergy-2.0.0-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ae0adc3891

Comment 6 Fedora Update System 2018-02-08 08:42:27 UTC
synergy-2.0.0-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-ae0adc3891

Comment 7 Fedora Update System 2018-02-08 08:58:13 UTC
synergy-2.0.0-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2438eccd2e

Comment 8 Fedora Update System 2018-02-08 09:18:38 UTC
synergy-2.0.0-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-0029a198c7

Comment 9 Fedora Update System 2018-02-16 17:47:58 UTC
synergy-2.0.0-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-02-20 16:37:44 UTC
synergy-2.0.0-2.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-02-27 20:39:40 UTC
synergy-2.0.0-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.